# Created by pyp2rpm-3.3.2
%global pypi_name collectd_cvmfs

Name:           python-%{pypi_name}
Version:        1.3.3
Release:        2%{?dist}
Summary:        Collectd plugin to monitor CvmFS Clients

License:        ASL 2.0
URL:            https://github.com/cvmfs/collectd-cvmfs
Source0:        https://files.pythonhosted.org/packages/source/c/collectd_cvmfs/collectd_cvmfs-%{version}.tar.gz
# https://github.com/cvmfs/collectd-cvmfs/pull/18
# bugfix for stuck threads
Patch0:         https://patch-diff.githubusercontent.com/raw/cvmfs/collectd-cvmfs/pull/18.patch
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description
Collectd module for CvmFS clients

%package -n     python2-%{pypi_name}
Summary:        %{summary}
 
Requires:       python2-psutil
Requires:       python2-scandir
Requires:       pyxattr
Requires:       collectd
%description -n python2-%{pypi_name}
Collectd module for CvmFS clients


%prep
%autosetup -p1 -n collectd_cvmfs-%{version}

#  old setuptools

sed -i "s/'scandir;python_version<\"3.5\"'/'scandir'/" setup.py

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install

%files -n python2-%{pypi_name}
%doc README.rst NEWS.txt
# https://github.com/cvmfs/collectd-cvmfs/issues/13
#%%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_prefix}/share/collectd/%{pypi_name}.db

%changelog
* Tue May 16 2023 Steve Traylen <steve.traylen@cern.ch> - 1.3.3-2
- bugfix for stuck threads https://github.com/cvmfs/collectd-cvmfs/pull/18

* Thu Apr 15 2021 Steve Traylen <steve.traylen@cern.ch> - 1.3.3-1
- Update to 1.3.3

* Wed Jul 8 2020 Steve Traylen <steve.traylen@cern.ch> - 1.3.1-1
- New 1.3.1 release

* Fri Jul 26 2019 Steve Traylen <steve.traylen@cern.ch> - 1.2.2-1
- New 1.2.2 release
- Change source to pypi from github.

* Mon May 13 2019 Steve Traylen <steve.traylen@cern.ch> - 1.1.0-1
- New 1.1.0 release

* Thu Oct 18 2018 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-1
- New 1.0.3 release

* Wed May 30 2018 Steve Traylen <steve.traylen@cern.ch> - 1.0.1-1 1
- Backport to epel7

* Fri May 25 2018 Steve Traylen <steve.traylen@cern.ch> - 1.0.1-1
- Initial package.
